%global __requires_exclude ^pear\\(.*\\)$

Name:		self-service-password
Summary:	LDAP password change web interface
Version:	1.3
Release:	%mkrel 7
License:	GPL
Group:		System/Servers
URL:		https://ltb-project.org/documentation/self-service-password
Source0:	https://github.com/ltb-project/self-service-password/archive/self-service-password-%{version}.tar.gz
Patch0:		self-service-password-1.3-use-system-phpmailer.patch
Requires:	apache
Requires:	php-webinterface
Requires:	php-ldap
Requires:	php-mbstring
Requires:	php-phar
Requires:	php-phpmailer >= 6.0
BuildArch:	noarch

%description
Self Service Password is a PHP application that allows users to change their
password in an LDAP directory.

The application can be used on standard LDAPv3 directories (OpenLDAP, OpenDS,
ApacheDS, Sun Oracle DSEE, Novell, etc.) and also on Active Directory.

It has the following features:
- Samba mode to change Samba passwords
- Active directory mode
- Local password policy:
  - Minimum/maximum length
  - Forbidden characters
  - Upper, Lower, Digit or Special characters counters
  - Reuse old password check
  - Complexity (different class of characters)
- Help messages
- Reset by questions
- Reset by mail challenge (token sent by mail)
- Reset by SMS (through external Email 2 SMS service)
- reCAPTCHA (Google API)
- Mail notification after password change

%prep
%setup -q
%patch -P 0 -p 1

%install
install -d %{buildroot}%{_datadir}/%{name}

install -m 644 *.php %{buildroot}%{_datadir}/%{name}
cp -pr css fonts images js lang lib pages scripts \
    %{buildroot}%{_datadir}/%{name}

rm -rf %{buildroot}%{_datadir}/%{name}/lib/vendor/PHPMailer

install -d %{buildroot}%{_sysconfdir}
cp -pr conf %{buildroot}%{_sysconfdir}/%{name}

pushd %{buildroot}%{_datadir}/%{name}
ln -s ../../../%{_sysconfdir}/%{name} conf
popd

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Require all granted 
</Directory>
EOF

%files
%doc LICENCE README.md
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config.inc.php
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%{_datadir}/%{name}


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.3-7.mga10
+ Revision: 2128161
- Rebuild for patchN deprecation

* Mon Mar 21 2022 umeabot <umeabot> 1.3-6.mga9
+ Revision: 1812933
- Mageia 9 Mass Rebuild

* Wed Jul 22 2020 mokraemer <mokraemer> 1.3-5.mga8
+ Revision: 1607886
- resolve mod_php conflict

* Fri Feb 14 2020 umeabot <umeabot> 1.3-4.mga8
+ Revision: 1521851
- Mageia 8 Mass Rebuild

* Wed Jan 02 2019 guillomovitch <guillomovitch> 1.3-3.mga7
+ Revision: 1348712
- requires php-phar
- fix usage with phpmailer 6.0

* Tue Jan 01 2019 guillomovitch <guillomovitch> 1.3-2.mga7
+ Revision: 1348463
- adaptation to phpmailer 6.0

* Mon Oct 08 2018 guillomovitch <guillomovitch> 1.3-1.mga7
+ Revision: 1318681
- imported package self-service-password

